atomic_sub_and_test
Prev | Atomic and pointer manipulation | Next

## Name

atomic_sub_and_test — subtract value from variable and test result

## Synopsis

`int atomic_sub_and_test (` | int | i,
| atomic_t * | v`)`;

## Arguments

`i`

  integer value to subtract

`v`

  pointer of type atomic_t

## Description

Atomically subtracts `i` from `v` and returns true if the result is zero, or false for all other cases.

Prev | Up | Next
atomic_sub | Home | atomic_inc